package org.springblade.modules.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.log.model.LogAbstract;

@Data
@TableName("t_facility_log")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "售货机调用接口记录", description = "售货机调用接口记录")
public class FacilityLog extends LogAbstract {

    /**
     * 接口名
     */
    @ApiModelProperty(value = "接口名")
    private String title;

    /**
     * 耗时
     */
    @ApiModelProperty(value = "耗时")
    private String time;

    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id")
    @TableField(exist = false)
    private Long machineId;

}
